<?php

if(isset($_GET['Action']))
{
  if($_GET['Action'] == 'HideWelcome') $_COOKIE['HideWelcome'] = 1;
  if($_GET['Action'] == 'UnHideWelcome') $_COOKIE['HideWelcome'] = 0;
}
setcookie('HideWelcome', $_COOKIE['HideWelcome'], time() + 3600 * 24 * 365);

// URL routing
$QueryString = $_SERVER['QUERY_STRING'];
if(substr($QueryString, -1, 1) == '/') $QueryString = substr($QueryString, 0, -1);
$QueryItems = explode('/', $QueryString);
//echo($_SERVER['QUERY_STRING']);
//print_r($QueryItems);
if(strpos($_SERVER['REQUEST_URI'], '?') !== false)
  $_SERVER['QUERY_STRING'] = substr($_SERVER['REQUEST_URI'], strpos($_SERVER['REQUEST_URI'], '?') + 1);
  else $_SERVER['QUERY_STRING'] = '';
//echo(phpinfo());

if(count($QueryItems) > 0)
  $Page = 'pages/'.$QueryItems[0].'.php';
if(!file_exists($Page)) $Page = 'pages/main.php';

if(file_exists('inc/config.php')) include_once('inc/config.php');
  else die('Nenalezen soubor inc/config.php. Vytvořte jej z předlohy config.sample.php.');

session_start();
include_once('inc/error.php');
include_once('inc/database.php');
include_once('inc/html.php');
include_once('inc/system.php');
include_once('inc/player.php');
include_once('inc/server.php');
include_once('inc/realm.php');

// SQL injection hack protection
foreach($_POST as $Index => $Item) $_POST[$Index] = addslashes($Item);
foreach($_GET as $Index => $Item) $_GET[$Index] = addslashes($Item);

// classes start
$System = new System($Config);
$db = $System->Database;
$player = new Player($db);
$server = new Server($System, 1);
$html = new Html(0, $db);
$html->Start();
$_GET = $html->GetQueryStringArray();

if(isset($_COOKIE['hof-random']) and $_COOKIE['hof-random'] == 'no') $num_headers = 1;
  else $num_headers = 8;

echo('<div id="page">'.
  '<div id="header" style="background-image: url('.$html->Link('/imgs/web/headers/header'.rand(0, $num_headers - 1).'.jpg').');"></div>'.
  '<div id="top"></div>'.
  '<div id="menu">');

if((count($QueryItems) > 1) and ($QueryItems['0'] == 'svety'))
{
  $DbResult = $System->Database->query('SELECT Id FROM Realm WHERE '.$System->SQLURLName('Name').'="'.$QueryItems[1].'"');
  if($DbResult->num_rows > 0)
  {
    $DbRow = $DbResult->fetch_assoc();
    $Realm = new Realm($System, $DbRow['Id']);
    $Realm->Data['URLName'] = $QueryItems[1];
  
  $MenuItems = array(
    array('link' => $html->Link('/'), 'Text' => 'Úvod'),
    array(),
    array('link' => $html->Link('/svety/'.$Realm->Data['URLName'].'/online-hraci/'), 'Text' => 'Právě hrají'),
    array('link' => '#', 'Text' => 'Mapa', 'OnClick' => "popup('".$html->Link("/minimanager/map/?r_id=".$Realm->Data['Id'])."', 1000, 800); return false;"),
    array('link' => $html->Link('/svety/'.$Realm->Data['URLName'].'/nej-hraci/'), 'Text' => 'Nej'),
    array('link' => $html->Link('/svety/'.$Realm->Data['URLName'].'/spolky/'), 'Text' => 'Spolky'),
    array('link' => $html->Link('/armory/'), 'Text' => 'Armory'),
    array('link' => $html->Link('/svety/'.$Realm->Data['URLName'].'/arena/'), 'Text' => 'Arény'),
    array('link' => $html->Link('/svety/'.$Realm->Data['URLName'].'/akce/'), 'Text' => 'Události'),
    array('link' => $html->Link('/svety/'.$Realm->Data['URLName'].'/prikazy/'), 'Text' => 'Příkazy'),
  );
  } else 
  {
    echo('Svět nenalezen');
    $MenuItems = array(
      array('link' => $html->Link('/'), 'Text' => 'Úvod'),
    );
  }
} else
{
  $MenuItems = array(
    array('link' => $html->Link('/'), 'Text' => 'Úvod'),
    array('link' => $html->Link('/svety/'), 'Text' => 'Světy'),    
    array('link' => $html->Link('/jak-zacit/'), 'Text' => 'Jak začít'),
    array('link' => $html->Link('/registrace/'), 'Text' => 'Registrace'),
    array('link' => $html->Link('/ucet/'), 'Text' => 'Správa účtu'),
    array('link' => $html->Link('/forum/'), 'Text' => 'Fórum'),
    array('link' => $html->Link('/stahovani/'), 'Text' => 'Soubory'),     
    array('link' => $html->Link('/server/'), 'Text' => 'Server'),
    array('link' => $html->Link('/galerie/'), 'Text' => 'Galerie'),     
    array('link' => $html->Link('/propagace/'), 'Text' => 'Propagace'), 
    array('link' => $html->Link('/odkazy/'), 'Text' => 'Odkazy'),
    //array('link' => $html->Link('/blokovani-uctu/'), 'Text' => 'Bany'),
    array('link' => $html->Link('/finance/'), 'Text' => 'Dotace'),
    array('link' => 'http://stat.zdechov.net/game/', 'Text' => 'Časové grafy'),
    array('link' => $html->Link('/teamspeak/'), 'Text' => 'Teamspeak'),
    array('link' => $html->Link('/podpora/'), 'Text' => 'Podpora'),     
    array('link' => $html->Link('/hledani/'), 'Text' => 'Vyhledávání'), 
  );
} 

echo('<br /><br />');
echo('<div class="mainmenu">');
foreach($MenuItems as $Item)
{
  if(array_key_exists('Text', $Item))
  {
    if(array_key_exists('OnClick', $Item)) $OnClick = ' onclick="'.$Item['OnClick'].'"';
      else $OnClick = '';
    if(array_key_exists('Target', $Item)) $Target = ' target="'.$Item['Target'].'"';
      else $Target = '';
    echo('<a href="'.$Item['link'].'"'.$OnClick.$Target.'>'.$Item['Text'].'</a><br />');
  } else 
  {
    echo($server->RealmSelection());
    echo('<br/>');
    echo('<br/>');
  }
}
echo('</div>');

echo('<div class="Banners">'.
  '<br />'.
  '<a href="http://wowpreklad.zdechov.net/"><img src="http://wowpreklad.zdechov.net/banners/baner_88_31.jpg" alt="baner_http://wowpreklad.zdechov.net/" height="31" width="88" /></a><br />'.
  '<br/><br/>'.
  '<a href="http://www.toplist.cz/"><img src="http://toplist.cz/count.asp?logo=mc&amp;ID=324802" width="88" height="60" alt="counter" /></a><br />'.
  '<br /><a href="http://counter.cnw.cz/">'.
  '<img src="http://counter.cnw.cz/monika.cgi?wowzdechov&amp;7&amp;000000&amp;FFFFFF&amp;on" alt="CNW:Counter" /></a>'.
  "\n".
  '<script type="text/javascript">
  <!--
  document.write("<a href=\"http://counter.cnw.cz\" target=\"_parent\"><img src=\"http://counter.cnw.cz/trackit.cgi?wowzdechov&t4&" + escape(top.document.referrer) + "\" alt=\"CNW:Tracker\" border=\"0\" width=\"1\" height=\"1\"><\/a>");
  // -->
  </script>'.
  '</div>'.
  '</div>'.
  '<div id="content">');

// obsah start
$include = 1;
if($include == 1)
{
  include_once($Page);
}
echo('</div>'.
'<div id="footer"><br /><div id="copyright"><a href="'.$html->Link('/autori/').'">Vývoj webu</a></div></div></div>');

$html->Stop();
$db->close();

?>
